#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int add(int , int);
char * func_ret_ptr(void);



int main () {
  
  /* int (*func_pointer)(int, int) = &add; */
  
  
  
  //int res = * func_pointer(4, 5);
  
  
  /* printf("Expecting %d\n", 4+5); */
  /* fprintf(stdout, "%d\n", res);   */
  char *p = func_ret_ptr();
  
  int i = 0;
  for (i = 0; i < 5; i++)
    {
    printf("%c\n", p[i]);
    }

  free(p);
}


char * func_ret_ptr(){
  
  char *a;
  
  a = malloc(8);
  
  strcpy(a, "hello");
  /* int i = 0; */
  /* for (i =0; i < 8; i++){ */
  /*   a[i+1] = i; */
  
  return a;
  
}





/* int add(int a , int b){ */
/*   return a + b; */
/* } */
  



